> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取提取状态



## OpenAPI

````yaml zh/api-reference/v2-openapi.json get /extract/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /extract/{id}:
    parameters:
      - name: id
        in: path
        description: 提取作业的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Extraction
      summary: 获取提取任务的状态
      operationId: getExtractStatus
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractStatusResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ExtractStatusResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
        status:
          type: string
          enum:
            - completed
            - processing
            - failed
            - cancelled
          description: 当前提取任务的状态
        expiresAt:
          type: string
          format: date-time
        tokensUsed:
          type: integer
          description: 提取任务使用的 token 数量。仅在任务完成后可查看。
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````